/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public void install() {
    VehicleType carVehicleType = 
        createVehicleType(Car.class);
    VehicleType vanVehicleType = 
        createVehicleType(Van.class);
    VehicleType motorcycleVehicleType = 
        createVehicleType(Motorcycle.class);
    ...
}
private VehicleType 
            createVehicleType(Class<? extends Vehicle> subclass) {
    VehicleType vehicleType = 
        newTransientInstance(VehicleType.class);
    vehicleType.setFullyQualifiedClassName(subclass.getName());
    persist(vehicleType);
    return vehicleType;
}
